1 Reply Latest reply: Apr 6, 2010 3:47 PM by PAHU
Kriko Level 1 Level 1 (0 points)
Hi, I have to work with a Canon UFRII printer of the model IR2270/IR2870 in my working sourrounding at the university. Problem is, canon provides a driver only until Mac os 10.5.5. My model is 10.6.2, therefore the installation is just not working properly..

does anybody know an alternative driver? or other solutions?
thanxs a lot!

MacBook, Mac OS X (10.6.2)
  • PAHU Level 6 Level 6 (15,230 points)
    Hello and welcome to Apple Discussions.

    There are a couple of alternatives available, however it all depends on what printer language your Canon iR supports. In the Australian region, the iR2270 series came standard with UFR2. PCL5e/PCL6 and Postscript were options. Not sure if this is the same for where you are. So I suggest you check what printer language the machine supports. This can be done from the copier touch panel. If you press the Additional Functions button, you can then press Printer Settings and scroll through the menu pages. You will see the UFR2 menu but hopefully you will also see PCL and/or PS.

    If the machine has PCL but not PS, then you can add the printer and select Generic PCL Laser Printer in the Print Using menu.

    If the machine has PS, then you can install the Canon PPDs and select the Canon iR2270/2870 in the Print Using menu.